var b = require('bonescript');

var p = '/sys/class/leds/beaglebone:green:usr';
var led0 = "USR0";
var led1 = "USR1";
var led2 = "USR2";
var led3 = "USR3";
var state = 0;

b.pinMode(led0, 'out');
b.pinMode(led1, 'out');
b.pinMode(led2, 'out');
b.pinMode(led3, 'out');

b.digitalWrite(led0, 0);
b.digitalWrite(led1, 0);
b.digitalWrite(led2, 0);
b.digitalWrite(led3, 0);

var toggleLED = function() {
 state = state ^ 1;
 
 b.digitalWrite(led0, state ^ 1);
 b.digitalWrite(led1, state );
 b.digitalWrite(led2, state ^ 1);
 b.digitalWrite(led3, state );
};

var timer = setInterval(toggleLED, 100);

var stopTimer = function() {
 clearInterval(timer);
 
 b.digitalWrite(led0, 0);
 b.digitalWrite(led1, 0);
 b.digitalWrite(led2, 0);
 b.digitalWrite(led3, 0);
 
 b.writeTextFile(p+'0/trigger', 'heartbeat');
 b.writeTextFile(p+'1/trigger', 'mmc0' );
 b.writeTextFile(p+'2/trigger', 'cpu0' );
 b.writeTextFile(p+'3/trigger', 'mmc1' );
};

setTimeout(stopTimer, 8000);