var b = require('bonescript');

var led0 = "P9_14";
var led1 = "P9_21";
var led2 = "P9_22";
var led3 = "P2_29";

b.pinMode(led0, 'out');
b.pinMode(led1, 'out');
// b.pinMode(led2, 'out');
b.pinMode(led3, 'out');

var duty = 0.5;
var freq = 10000.0;

b.analogWrite(led0, 0, 0 );
b.analogWrite(led1, 0, 0 );

b.analogWrite(led0, duty, freq );
b.analogWrite(led1, duty, freq );

var modifyLED = function() {
 duty += 0.01;
 if( duty > 1.0 ) duty = 0.0;
    
 b.analogWrite(led0, duty, freq);
 b.analogWrite(led1, 1.0 - duty, freq );
};

var timer = setInterval(modifyLED, 10);

var stopTimer = function() {
    clearInterval(timer);
    b.analogWrite(led0, 0 );
    b.analogWrite(led1, 0 );
};

setTimeout( stopTimer, 10000 );
