var b = require('bonescript');
var led0 = "P9_11";
var led1 = "P9_12";
var led2 = "P9_13";
var led3 = "P9_14";
var sw0  = "P9_15";

var counter = 1;
var sw_state = 1;

b.pinMode(led0, 'out');
b.pinMode(led1, 'out');
b.pinMode(led2, 'out');
b.pinMode(led3, 'out');
b.pinMode(sw0 , 'in');

b.digitalWrite(led0, 0);
b.digitalWrite(led1, 0);
b.digitalWrite(led2, 0);
b.digitalWrite(led3, 0);
sw_state = b.digitalRead(sw0);

var toggleLED = function() {
 var t_state = b.digitalRead(sw0);

 if( t_state != sw_state ) {
   sw_state = t_state;
   if( ! sw_state  ) {
    if( counter++ < 10 ) {
     t_state = counter & 1;
     b.digitalWrite(led0, t_state ^ 1);
     b.digitalWrite(led1, t_state );
     b.digitalWrite(led2, t_state ^ 1);
     b.digitalWrite(led3, t_state );
    }
    else {
     b.digitalWrite(led0, 0);
     b.digitalWrite(led1, 0);
     b.digitalWrite(led2, 0);
     b.digitalWrite(led3, 0);
     b.detachInterrupt(sw0);
   }
  }
 }
};

b.attachInterrupt(sw0, true, b.CHANGE, toggleLED );
